Bug 1907628 - Installer does not set primary subnet consistently
Summary: Installer does not set primary subnet consistently
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.7.0
Assignee: egarcia
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-14 21:26 UTC by egarcia
Modified: 2021-02-24 15:44 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:43:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4463 0 None closed Bug 1907628: OpenStack Documentation for MachineSets with Multiple Networks 2021-01-04 04:21:11 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:44:00 UTC

Description egarcia 2020-12-14 21:26:08 UTC
The installer only sets the primary subnet when the user modifies the machiensSubnet in the openstack platform install-config. This is confusing and inconsistent.

Comment 1 egarcia 2020-12-16 21:55:55 UTC
This has been handled with documentation that explains the usage that we expect from customers.

Comment 3 weiwei jiang 2020-12-18 07:47:31 UTC
Checked with 4.7.0-0.nightly-2020-12-18-031435, and now it works well.

./openshift-install 4.7.0-0.nightly-2020-12-18-031435
built from commit e235783fe671864e0628771d0e5d13904e4d062a
release image registry.svc.ci.openshift.org/ocp/release@sha256:5fbd961fe2fcafd95dbccaa731975ed65b237b7bc461070c6b1f193cd607d37b

# cat install-config.yaml:
---
apiVersion: v1
controlPlane:
  architecture: amd64
  hyperthreading: Enabled
  name: master
  platform: {}
  replicas: 3
compute:
- architecture: amd64
  hyperthreading: Enabled
  name: worker
  platform:
    openstack:
      type: m1.large
  replicas: 3
metadata:
  name: wj47ios1218z
platform:
  openstack:
    cloud: openstack
    computeFlavor: m1.xlarge
    region: regionOne
    trunkSupport: '1'
    octaviaSupport: '0'
    apiVIP: 192.168.11.76
    ingressVIP: 192.168.59.35
    machinesSubnet: b55c6d63-0210-4473-80af-ac91b7d38cbd


# oc get machineset -n openshift-machine-api wj47ios1218z-qxz48-worker-0 -o yaml                       
apiVersion: machine.openshift.io/v1beta1
kind: MachineSet              
metadata:                     
  annotations:                     
    machine.openshift.io/memoryMb: "8192"
    machine.openshift.io/vCPU: "4"  
  creationTimestamp: "2020-12-18T07:01:23Z"
  generation: 1            
  labels:                           
    machine.openshift.io/cluster-api-cluster: wj47ios1218z-qxz48
    machine.openshift.io/cluster-api-machine-role: worker
    machine.openshift.io/cluster-api-machine-type: worker
......
  name: wj47ios1218z-qxz48-worker-0
  namespace: openshift-machine-api
  resourceVersion: "24090"
  uid: 68c72136-35d7-47b9-9010-661cb001c238
spec:
  replicas: 3
  selector:
    matchLabels:
      machine.openshift.io/cluster-api-cluster: wj47ios1218z-qxz48
      machine.openshift.io/cluster-api-machineset: wj47ios1218z-qxz48-worker-0
  template:
    metadata:
      labels:
        machine.openshift.io/cluster-api-cluster: wj47ios1218z-qxz48
        machine.openshift.io/cluster-api-machine-role: worker
        machine.openshift.io/cluster-api-machine-type: worker
        machine.openshift.io/cluster-api-machineset: wj47ios1218z-qxz48-worker-0
    spec:
      metadata: {}
      providerSpec:
        value:
          apiVersion: openstackproviderconfig.openshift.io/v1alpha1
          cloudName: openstack
          cloudsSecret:
            name: openstack-cloud-credentials
            namespace: openshift-machine-api
          flavor: m1.large
          image: wj47ios1218z-qxz48-rhcos
          kind: OpenstackProviderSpec
          metadata:
            creationTimestamp: null
          networks:
          - filter: {}
            subnets:
            - filter: {}
              uuid: b55c6d63-0210-4473-80af-ac91b7d38cbd
          primarySubnet: b55c6d63-0210-4473-80af-ac91b7d38cbd
          securityGroups:
          - filter: {}
            name: wj47ios1218z-qxz48-worker
          serverMetadata:
            Name: wj47ios1218z-qxz48-worker
            openshiftClusterID: wj47ios1218z-qxz48
          tags:
          - openshiftClusterID=wj47ios1218z-qxz48
          trunk: true
          userDataSecret:
            name: worker-user-data
status:
  availableReplicas: 3
  fullyLabeledReplicas: 3
  observedGeneration: 1
  readyReplicas: 3
  replicas: 3

Comment 6 errata-xmlrpc 2021-02-24 15:43:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.